String::Flogger(3)

NAME
String::Flogger - string munging for loggers

VERSION
version 1.101242

SYNOPSIS
  use String::Flogger qw(flog);

  my @inputs = (
    'simple!',

    [ 'slightly %s complex', 'more' ],

    [ 'and inline some data: %s', { look => 'data!' } ],

    [ 'and we can defer evaluation of %s if we want', sub { 'stuff' } ],

    sub { 'while avoiding sprintfiness, if needed' },
  );

  say flog($_) for @inputs;

The above will output:

  simple!

  slightly more complex

  and inline some data: {{{ "look": "data!" }}}

  and we can defer evaluation of stuff if we want

  while avoiding sprintfiness, if needed

METHODS

  flog
This method is described in the synopsis.

  format_string
  $flogger->format_string($fmt, \@input);

This method is used to take the formatted arguments for a format string (when "flog" is passed an arrayref) and turn it into a string. By default, it just uses ""sprintf" in perlfunc".

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES <rjbs@cpan.org>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.